org.bouncycastle.crypto.prng

## Class VMPCRandomGenerator

- java.lang.Object
- - org.bouncycastle.crypto.prng.VMPCRandomGenerator

All Implemented Interfaces:
  RandomGenerator

    public class VMPCRandomGenerator
    extends java.lang.Object
    implements RandomGenerator

### Constructor Summary

Constructors
Constructor and Description
`VMPCRandomGenerator()`

### Method Summary

Methods
`void` `addSeedMaterial(byte[] seed)` Add more seed material to the generator.
`void` `addSeedMaterial(long seed)` Add more seed material to the generator.
`void` `nextBytes(byte[] bytes)` Fill bytes with random values.
`void` `nextBytes(byte[] bytes, int start, int len)` Fill part of bytes with random values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VMPCRandomGenerator

    public VMPCRandomGenerator()

### Method Detail

#### addSeedMaterial

    public void addSeedMaterial(byte[] seed)

Description copied from interface: `RandomGenerator`
Add more seed material to the generator.

Specified by:
  `addSeedMaterial` in interface `RandomGenerator`
Parameters:
  `seed` - a byte array to be mixed into the generator's state.

#### addSeedMaterial

    public void addSeedMaterial(long seed)

Description copied from interface: `RandomGenerator`
Add more seed material to the generator.

Specified by:
  `addSeedMaterial` in interface `RandomGenerator`
Parameters:
  `seed` - a long value to be mixed into the generator's state.

#### nextBytes

    public void nextBytes(byte[] bytes)

Description copied from interface: `RandomGenerator`
Fill bytes with random values.

Specified by:
  `nextBytes` in interface `RandomGenerator`
Parameters:
  `bytes` - byte array to be filled.

#### nextBytes

    public void nextBytes(byte[] bytes,
                 int start,
                 int len)

Description copied from interface: `RandomGenerator`
Fill part of bytes with random values.

Specified by:
  `nextBytes` in interface `RandomGenerator`
Parameters:
  `bytes` - byte array to be filled.
  `start` - index to start filling at.
  `len` - length of segment to fill.